GoSmarter Logo
GoSmarter API Gateway

OptimisationSlim


Get optimisation result (slim)

GET
https://api.gosmarter.ai
/api/company/{companyId}/optimisation-slim/{resultId}

Retrieves a single optimisation result for the specified company and result ID.

Get optimisation result (slim) › path Parameters

companyId
​string · uuid · required

The company GUID.

resultId
​string · uuid · required

The optimisation result GUID.

Get optimisation result (slim) › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get optimisation result (slim) › Responses

The optimisation result item.

dateCreated
​string · date-time
dateUpdated
​string · date-time
result
​string
resultComparison
​string
description
​string
resultId
​string · uuid
companyId
​string · uuid

Download optimisation result

GET
https://api.gosmarter.ai
/api/company/{companyId}/optimisation-slim/{resultId}/download

Downloads the optimisation result as JSON or CSV/ZIP for the specified company and result ID.

Download optimisation result › path Parameters

companyId
​string · uuid · required

The company GUID.

resultId
​string · uuid · required

The optimisation result GUID.

Download optimisation result › query Parameters

format
​string

Download format: 'json' (default) or 'csv'.

Download optimisation result › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Download optimisation result › Responses

The optimisation result file.

dateCreated
​string · date-time
dateUpdated
​string · date-time
result
​string
resultComparison
​string
description
​string
resultId
​string · uuid
companyId
​string · uuid

List optimisation results

GET
https://api.gosmarter.ai
/api/company/{companyId}/optimisation-slim

Lists all optimisation request triggers and associated results for the specified company.

List optimisation results › path Parameters

companyId
​string · uuid · required

The company GUID.

List optimisation results › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

List optimisation results › Responses

List of optimisation request triggers with results.

optimisationRequestTriggerId
​string · uuid
companyId
​string · uuid
status
​integer · int32
triggerCreatedAt
​string · date-time
triggerUpdatedAt
​string · date-time
resultId
​string · uuid
description
​string
resultCreatedAt
​string · date-time
resultUpdatedAt
​string · date-time
resultCount
​integer · int32

Delete optimisation results

DELETE
https://api.gosmarter.ai
/api/company/{companyId}/optimisation-slim

Deletes one or more optimisation results for the specified company.

Delete optimisation results › path Parameters

companyId
​string · uuid · required

The company GUID.

Delete optimisation results › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Delete optimisation results › Responses

List of deleted result items.


Start optimisation

POST
https://api.gosmarter.ai
/api/company/{companyId}/optimisation-slim/start

Triggers a new optimisation request for the specified company.

Start optimisation › path Parameters

companyId
​string · uuid · required

The company GUID.

Start optimisation › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Start optimisation › Request Body

optimisationRequestTriggerId
​string · uuid
companyId
​string · uuid

Start optimisation › Responses

The created optimisation request trigger.

optimisationRequestTriggerId
​string · uuid
companyId
​string · uuid